# Class VulkanPipelineVertexInputStateCreateInfo.Builder

java.lang.Object
com.io7m.jcoronado.api.VulkanPipelineVertexInputStateCreateInfo.Builder

Enclosing class:
  `VulkanPipelineVertexInputStateCreateInfo`

public static final class VulkanPipelineVertexInputStateCreateInfo.Builder extends Object
Builds instances of type `VulkanPipelineVertexInputStateCreateInfo`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final VulkanPipelineVertexInputStateCreateInfo.Builder`
  `addAllFlags(Iterable<VulkanPipelineVertexInputStateCreateFlag> elements)`
  Adds elements to `flags` set.
  `final VulkanPipelineVertexInputStateCreateInfo.Builder`
  `addAllVertexAttributeDescriptions(Iterable<? extends VulkanVertexInputAttributeDescription> elements)`
  Adds elements to `vertexAttributeDescriptions` list.
  `final VulkanPipelineVertexInputStateCreateInfo.Builder`
  `addAllVertexBindingDescriptions(Iterable<? extends VulkanVertexInputBindingDescription> elements)`
  Adds elements to `vertexBindingDescriptions` list.
  `final VulkanPipelineVertexInputStateCreateInfo.Builder`
  `addFlags(VulkanPipelineVertexInputStateCreateFlag element)`
  Adds one element to `flags` set.
  `final VulkanPipelineVertexInputStateCreateInfo.Builder`
  `addFlags(VulkanPipelineVertexInputStateCreateFlag... elements)`
  Adds elements to `flags` set.
  `final VulkanPipelineVertexInputStateCreateInfo.Builder`
  `addVertexAttributeDescriptions(VulkanVertexInputAttributeDescription element)`
  Adds one element to `vertexAttributeDescriptions` list.
  `final VulkanPipelineVertexInputStateCreateInfo.Builder`
  `addVertexAttributeDescriptions(VulkanVertexInputAttributeDescription... elements)`
  Adds elements to `vertexAttributeDescriptions` list.
  `final VulkanPipelineVertexInputStateCreateInfo.Builder`
  `addVertexBindingDescriptions(VulkanVertexInputBindingDescription element)`
  Adds one element to `vertexBindingDescriptions` list.
  `final VulkanPipelineVertexInputStateCreateInfo.Builder`
  `addVertexBindingDescriptions(VulkanVertexInputBindingDescription... elements)`
  Adds elements to `vertexBindingDescriptions` list.
  `VulkanPipelineVertexInputStateCreateInfo`
  `build()`
  Builds a new `VulkanPipelineVertexInputStateCreateInfo`.
  `final VulkanPipelineVertexInputStateCreateInfo.Builder`
  `from(VulkanPipelineVertexInputStateCreateInfoType instance)`
  Fill a builder with attribute values from the provided `VulkanPipelineVertexInputStateCreateInfoType` instance.
  `final VulkanPipelineVertexInputStateCreateInfo.Builder`
  `setFlags(Iterable<VulkanPipelineVertexInputStateCreateFlag> elements)`
  Sets or replaces all elements for `flags` set.
  `final VulkanPipelineVertexInputStateCreateInfo.Builder`
  `setVertexAttributeDescriptions(Iterable<? extends VulkanVertexInputAttributeDescription> elements)`
  Sets or replaces all elements for `vertexAttributeDescriptions` list.
  `final VulkanPipelineVertexInputStateCreateInfo.Builder`
  `setVertexBindingDescriptions(Iterable<? extends VulkanVertexInputBindingDescription> elements)`
  Sets or replaces all elements for `vertexBindingDescriptions` list.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanPipelineVertexInputStateCreateInfo.Builder from(VulkanPipelineVertexInputStateCreateInfoType instance)
    Fill a builder with attribute values from the provided `VulkanPipelineVertexInputStateCreateInfoType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values. Collection elements and entries will be added, not replaced.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanPipelineVertexInputStateCreateInfo.Builder addFlags(VulkanPipelineVertexInputStateCreateFlag element)
    Adds one element to `flags` set.
    Parameters:
      `element` - A flags element
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanPipelineVertexInputStateCreateInfo.Builder addFlags(VulkanPipelineVertexInputStateCreateFlag... elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An array of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setFlags

    public final VulkanPipelineVertexInputStateCreateInfo.Builder setFlags(Iterable<VulkanPipelineVertexInputStateCreateFlag> elements)
    Sets or replaces all elements for `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllFlags

    public final VulkanPipelineVertexInputStateCreateInfo.Builder addAllFlags(Iterable<VulkanPipelineVertexInputStateCreateFlag> elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addVertexBindingDescriptions

    public final VulkanPipelineVertexInputStateCreateInfo.Builder addVertexBindingDescriptions(VulkanVertexInputBindingDescription element)
    Adds one element to `vertexBindingDescriptions` list.
    Parameters:
      `element` - A vertexBindingDescriptions element
    Returns:
      `this` builder for use in a chained invocation

  - ### addVertexBindingDescriptions

    public final VulkanPipelineVertexInputStateCreateInfo.Builder addVertexBindingDescriptions(VulkanVertexInputBindingDescription... elements)
    Adds elements to `vertexBindingDescriptions` list.
    Parameters:
      `elements` - An array of vertexBindingDescriptions elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setVertexBindingDescriptions

    public final VulkanPipelineVertexInputStateCreateInfo.Builder setVertexBindingDescriptions(Iterable<? extends VulkanVertexInputBindingDescription> elements)
    Sets or replaces all elements for `vertexBindingDescriptions` list.
    Parameters:
      `elements` - An iterable of vertexBindingDescriptions elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllVertexBindingDescriptions

    public final VulkanPipelineVertexInputStateCreateInfo.Builder addAllVertexBindingDescriptions(Iterable<? extends VulkanVertexInputBindingDescription> elements)
    Adds elements to `vertexBindingDescriptions` list.
    Parameters:
      `elements` - An iterable of vertexBindingDescriptions elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addVertexAttributeDescriptions

    public final VulkanPipelineVertexInputStateCreateInfo.Builder addVertexAttributeDescriptions(VulkanVertexInputAttributeDescription element)
    Adds one element to `vertexAttributeDescriptions` list.
    Parameters:
      `element` - A vertexAttributeDescriptions element
    Returns:
      `this` builder for use in a chained invocation

  - ### addVertexAttributeDescriptions

    public final VulkanPipelineVertexInputStateCreateInfo.Builder addVertexAttributeDescriptions(VulkanVertexInputAttributeDescription... elements)
    Adds elements to `vertexAttributeDescriptions` list.
    Parameters:
      `elements` - An array of vertexAttributeDescriptions elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setVertexAttributeDescriptions

    public final VulkanPipelineVertexInputStateCreateInfo.Builder setVertexAttributeDescriptions(Iterable<? extends VulkanVertexInputAttributeDescription> elements)
    Sets or replaces all elements for `vertexAttributeDescriptions` list.
    Parameters:
      `elements` - An iterable of vertexAttributeDescriptions elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllVertexAttributeDescriptions

    public final VulkanPipelineVertexInputStateCreateInfo.Builder addAllVertexAttributeDescriptions(Iterable<? extends VulkanVertexInputAttributeDescription> elements)
    Adds elements to `vertexAttributeDescriptions` list.
    Parameters:
      `elements` - An iterable of vertexAttributeDescriptions elements
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanPipelineVertexInputStateCreateInfo build()
    Builds a new `VulkanPipelineVertexInputStateCreateInfo`.
    Returns:
      An immutable instance of VulkanPipelineVertexInputStateCreateInfo
    Throws:
      `IllegalStateException` - if any required attributes are missing